import { a as t } from "../../index-DSGwv2Yx.js";
import { BinaryOpProgram as p } from "./utils/binary_op.js";
import { B as s } from "../../binary_op_util-pKXltfxI.js";
function c(e) {
  const { a: r, b: n } = e.inputs, a = e.backend, o = new p(s.ADD, r.shape, n.shape);
  return a.runWebGPUProgram(o, [r, n], "packedF16");
}
const m = {
  kernelName: "Add16",
  backendName: "webgpu",
  kernelFunc: c
};
t(m);
